#!/bin/sh
export PATH='/usr/obj/ports/hs-monad-control-1.0.0.4/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/X11R6/bin'
echo 'name: monad-control
version: 1.0.0.4
id: monad-control-1.0.0.4-7opoGFN1bre3m8PG7yVBzh
key: monad-control-1.0.0.4-7opoGFN1bre3m8PG7yVBzh
license: BSD3
copyright: (c) 2011 Bas van Dijk, Anders Kaseorg
maintainer: Bas van Dijk <v.dijk.bas@gmail.com>
homepage: https://github.com/basvandijk/monad-control
synopsis: Lift control operations, like exception catching, through monad transformers
description:
    This package defines the type class @MonadBaseControl@, a subset of
    @MonadBase@ into which generic control operations such as @catch@ can be
    lifted from @IO@ or any other base monad. Instances are based on monad
    transformers in @MonadTransControl@, which includes all standard monad
    transformers in the @transformers@ library except @ContT@.
    .
    See the @lifted-base@ package which uses @monad-control@ to lift @IO@
    operations from the @base@ library (like @catch@ or @bracket@) into any monad
    that is an instance of @MonadBase@ or @MonadBaseControl@.
    .
    Note that this package is a rewrite of Anders Kaseorg'\''s @monad-peel@
    library. The main difference is that this package provides CPS style operators
    and exploits the @RankNTypes@ and @TypeFamilies@ language extensions to
    simplify and speedup most definitions.
category: Control
author: Bas van Dijk, Anders Kaseorg
exposed: True
indefinite: False
exposed-modules:
    Control.Monad.Trans.Control
abi: 18914f7c4dabd92eb4cadc8111d0e55d
trusted: False
import-dirs: /usr/local/lib/ghc/monad-control-1.0.0.4
library-dirs: /usr/local/lib/ghc/monad-control-1.0.0.4
              /usr/local/lib/i386-openbsd-ghc-8.2.2
data-dir: /usr/local/share/hs-monad-control-1.0.0.4
hs-libraries: HSmonad-control-1.0.0.4-7opoGFN1bre3m8PG7yVBzh
depends:
    base-4.10.1.0 stm-2.4.4.1-6AExGOUG8NB2Rzejnay0ww
    transformers-0.5.2.0 transformers-base-0.4.4-G4HvRd1GUcNGvZj70uX60w
    transformers-compat-0.5.1.4-EAh8Ccrgitz4vTZtbTPyCM
abi-depends: base-4.10.1.0=3c10740f6cf9df7b9dca6d01ba411ea7
             stm-2.4.4.1-6AExGOUG8NB2Rzejnay0ww=06b7fbdd121edf4aa0563bc098313d80
             transformers-0.5.2.0=650a984849062cc36a998e6c890bf69a
             transformers-base-0.4.4-G4HvRd1GUcNGvZj70uX60w=637508be567afc09355dd4d41cb01228
             transformers-compat-0.5.1.4-EAh8Ccrgitz4vTZtbTPyCM=6501bc78c91ff171e2c987777806ec3d
haddock-interfaces: /usr/local/share/doc/hs-monad-control-1.0.0.4/html/monad-control.haddock
haddock-html: /usr/local/share/doc/hs-monad-control-1.0.0.4/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"

